#ifndef AUTOMATICS_H
#define AUTOMATICS_H
#include "mbed.h"

#define MAXSPEED 500

class automatics{
    public:
        void getTarget(double,double,double);
        void getCurrent(double,double,double);
        double get_xPWM(),get_yPWM(),get_tPWM();
    private:
        double targetX,targetY,targetT;
        double currentX,currentY,currentT;
        double diffX,diffY,diffT;
        double xCp,yCp,tCp;
        double xP,yP,tP;
        double xPWM,yPWM,tPWM;
        
        void Calc_diff();
        void Calc_Cp();
        void Calc_PWM();
        void Calc_Pval();
};

#endif
        
        